%define anolis_release 1
%global pkg_name pyqt5-sip
%global pypi_name PyQt5_sip
%global _sip_api_major 12
%global _sip_api_minor 13
%global _sip_api %{_sip_api_major}.%{_sip_api_minor}

Name:           python-%{pkg_name}
Version:        %{_sip_api}.0
Release:        %{anolis_release}%{?dist}
Summary:        The sip module support for PyQt5
License:        GPLv2 or GPLv3
URL:            https://www.riverbankcomputing.com/software/sip/
Source0:        %{pypi_source}

BuildRequires:  python%{python3_pkgversion}-devel python%{python3_pkgversion}-wheel
BuildRequires:  python%{python3_pkgversion}-setuptools >= 30.3

%description
SIP is a tool that makes it very easy to create Python bindings for C and C++
libraries. It was originally developed to create PyQt, the Python bindings for
the Qt toolkit, but can be used to create bindings for any C or C++ library.

%package -n     python%{python3_pkgversion}-%{pkg_name}
Summary:        The sip module support for PyQt5
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pkg_name}}
Provides: python%{python3_pkgversion}-pyqt5-sip-api(%{_sip_api_major}) = %{_sip_api}

%description -n python%{python3_pkgversion}-%{pkg_name}
SIP is a tool that makes it very easy to create Python bindings for C and C++
libraries. It was originally developed to create PyQt, the Python bindings for
the Qt toolkit, but can be used to create bindings for any C or C++ library.

%package -n python%{python3_pkgversion}-%{pkg_name}-doc
Summary:        Documentation files for python%{python3_pkgversion}-%{pkg_name}
Requires:       python%{python3_pkgversion}-%{pkg_name} = %{version}-%{release}
BuildArch:      noarch

%description -n python%{python3_pkgversion}-%{pkg_name}-doc
Documentation files for python%{python3_pkgversion}-%{pkg_name}

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%files -n python%{python3_pkgversion}-%{pkg_name}
%{python3_sitearch}/%{pypi_name}*
%{python3_sitearch}/PyQt5/
%license LICENSE*

%files -n python%{python3_pkgversion}-%{pkg_name}-doc
%doc README

%changelog
* Sat Oct 21 2023 Funda Wang <fundawang@yeah.net> - 12.13.0-1
- New version 12.13.0

* Mon Apr 10 2023 Shawn Wang <shawnwang@linux.alibaba.com> - 12.11.0-2
- Optimize the spec file

* Tue Nov 08 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 12.11.0-1
- init from upstream
